org.osgi.framework.connect

## Interface ConnectModule

    @ConsumerType
    public interface ConnectModule

A `ConnectModule` is used by a `Framework` instance to access the content of the connected bundle.

Author:
  $Id: d81245bffb9c6de8e3d2e9515f1443b0f6b47189 $

### Method Summary

All Methods Instance Methods Abstract Methods
`ConnectContent` `getContent()` Returns the current content of this connect module.

### Method Detail

#### getContent

    ConnectContent getContent()
                       throws IOException

Returns the current content of this connect module.

The framework must call this method when it needs to access the content for the current `bundle revision` of this `ConnectModule`. The framework may defer opening the returned `ConnectContent` until requests to access the bundle revision content are made.

Returns:
  The current `ConnectContent` of this `ConnectModule`.
Throws:
  `IOException` - If an error occurred getting the content.
See Also:
  `ModuleConnector.connect(String)`